package com.zcloud.basic.info.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.basic.info.domain.gateway.UserCorpRecordGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-12-03 10:21:59
 */
@Component
@AllArgsConstructor
public class UserCorpRecordRemoveExe {
    private final UserCorpRecordGateway userCorpRecordGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = userCorpRecordGateway.deletedUserCorpRecordById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = userCorpRecordGateway.deletedUserCorpRecordByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

